Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# UnicodeTools Class Reference
[Unicode core]

## Detailed Description

Different Unicode methods and tools.

## Static Public Methods

bool | getNumber (const String *pstr, double *res)
| sometimes need it...
bool | getNumber (const String *pstr, int *res)
int | getNumber (const String *pstr)
int | getHex (wchar c)
int | getHexNumber (const String *pstr)
DString * | getCurlyContent (const String &str, int pos)
| For '{name}' returns 'name' Removes brackets and returns new dynamic string, based on passed string.
wchar | getEscapedChar (const String &str, int pos, int &retPos)
| \x{2028} \x23 \c - into wchar

## Member Function Documentation

DString * UnicodeTools::getCurlyContent | ( | const String & | str,
|  | int | pos
| ) | `[static]`

For '{name}' returns 'name' Removes brackets and returns new dynamic string, based on passed string.

Returns null if parse error occurs.

Note:
  Returned dynamic string implies, than base passed string remains valid until accessing it.

wchar UnicodeTools::getEscapedChar | ( | const String & | str,
|  | int | pos,
|  | int & | retPos
| ) | `[static]`

\x{2028} \x23 \c - into wchar

Parameters:

  str | String to parse Escape sequence.
  pos | Position, where sequence starts.
  retPos | Returns here string position after parsed character escape.

Returns:
  If bad sequence, returns BAD_WCHAR. Else converts character escape and returns it's unicode value.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:58 2003 by doxygen 1.3-rc2.